Extending Qt Creator Manual | IOutlineWidgetFactory

Extending Qt Creator Manual 4.5.2

# IOutlineWidgetFactory Class

(TextEditor::IOutlineWidgetFactory)

- List of all members, including inherited members

## Public Functions

virtual IOutlineWidget * | createWidget(Core::IEditor *editor) = 0
virtual bool | supportsEditor(Core::IEditor *editor) const = 0

## Member Function Documentation

### `[pure virtual]` IOutlineWidget *IOutlineWidgetFactory::createWidget(Core::IEditor *editor)

### `[pure virtual]` bool IOutlineWidgetFactory::supportsEditor(Core::IEditor *editor) const